﻿@model List<ARGNSModelPomView>
<script type="text/javascript">
    function CalcDif(pTarget, pIdAnual, pId) {
        $("#" + pId).html(parseFloat(pTarget - $("#" + pIdAnual).val()).toFixed(2));
    }
</script>
<div class="bs-example2-tabs">
    <ul id="myTab" class="nav nav-tabs" role="tablist">
        @{
            bool mFirst = true;
            string mOrder = "";
        }

        @foreach (string item in Model.Select(C => C.U_SizeCode).Distinct().ToList())
        {
            if(item != null)
            { 
                if (mFirst)
                {
                    <li class="active">
                        <a href="#tab-@item" role="tab" data-toggle="tab">@item</a>
                    </li>
                    mFirst = false;
                    mOrder = item;
                }
                else
                {
                    <li>
                        <a href="#tab-@item" role="tab" data-toggle="tab">@item</a>
                    </li>
                    mOrder = mOrder + "," + item;
                }
            }
        }
        <li class="">
            <a href="#tab-Comment" role="tab" data-toggle="tab">Comment</a>
        </li>
    </ul>
    <div id="myTabContentGeneral" class="tab-content">
        @{
            bool mFirstTab = true;
        }
        @if(!string.IsNullOrEmpty(mOrder))
        { 
        foreach (string item in mOrder.Split(','))
        {
            int LineaId = 0;
            <div class="@(mFirstTab == true ? "tab-pane fade active in" : "tab-pane fade")" id="tab-@item">
                <div id="myTabContentSubGeneral" class="tab-content">
                    <div id="TableItemsPom-@item">
                        <table id="POM-Generates" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>@Samples.Code</th>
                                    <th>@Samples.Description</th>
                                    <th>@Samples.Target</th>
                                    <th>@Samples.Actual</th>
                                    <th>@Samples.Revision</th>
                                    <th>@Samples.Diff</th>
                                </tr>
                            </thead>
                            @foreach (ARGNSModelPomView itemSize in Model.Where(c => c.U_SizeCode == item).ToList())
                            {
                                <tbody class="tbodyTr">
                                    <tr id="@item">
                                        <td class="LineaId">@(LineaId = LineaId + 1)</td>
                                        <td class="U_Desc">@itemSize.U_Desc</td>
                                        <td class="U_Value">@decimal.Round(itemSize.U_Value ?? 0, 2, MidpointRounding.AwayFromZero)</td>
                                        <td class="Actual"><input onchange="CalcDif('@itemSize.U_Value','@(item + "-" + itemSize.U_Desc.Replace(" ", "-").ToString() + "-Actual")' , '@(item + "-" + itemSize.U_Desc.Replace(" ", "-").ToString() + "-Diff")');" type="number" id="@(item + "-" + itemSize.U_Desc.Replace(" ", "-").ToString() + "-Actual")" class="form-control" value='@decimal.Round((itemSize.U_Actual ?? 0), 2, MidpointRounding.AwayFromZero)' style="font-size:13px; width:80px;"></td>
                                        <td class="Revision"><input type="text" id="@(item + "-" + itemSize.U_Desc.Replace(" ", "-").ToString() + "-Revision")" class="form-control" value='@itemSize.U_Revision' style="font-size:13px; width:80px;"></td>
                                        <td class="Diff"><label id="@(item + "-" + itemSize.U_Desc.Replace(" ", "-").ToString() + "-Diff")">@decimal.Round(((itemSize.U_Value ?? 0) - (itemSize.U_Actual ?? 0)), 2, MidpointRounding.AwayFromZero)</label></td>
                                    </tr>
                                </tbody>
                            }
                        </table>
                    </div>
                </div>
                <!--///////// Close BLOKE/////////-->
                <div class="clearfix"></div>
            </div>

            mFirstTab = false;
        }
        }

        <div class="tab-pane fade " id="tab-Comment">
            <div id="myTabContentSubGeneral" class="tab-content">
                <textarea class="form-control" id="Comment" rows="5" cols="140"></textarea>
            </div>
            <!--///////// Close BLOKE/////////-->
            <div class="clearfix"></div>
        </div>
    </div>
</div>

